from buildbot.plugins import steps, util

factory = util.BuildFactory()

# dependencies
factory.addStep(steps.ShellCommand(command=['git', 'clone', '--branch', 'master',
					    'https://git.blackfinn.de/adc_gpio_i2c/i2c_bb.git']))
factory.addStep(steps.ShellCommand(command=['make', '-C', 'i2c_bb', 'install', '-j8', 'PREFIX=/worker']))
factory.addStep(steps.ShellCommand(command=['git', 'clone', '--branch', 'master',
                                            'https://git.blackfinn.de/adc_gpio_i2c/ads1115.git']))
factory.addStep(steps.ShellCommand(command=['make', '-C', 'ads1115', 'install', '-j8', 'PREFIX=/worker']))

# DUT
factory.addStep(steps.ShellCommand(command=['git', 'clone', '--branch', 'master',
                                            'https://git.blackfinn.de/adc_gpio_i2c/voltage_app.git']))
factory.addStep(steps.ShellCommand(command=['make', '-C', 'voltage_app', 'check', '-j8']))
factory.addStep(steps.ShellCommand(command=['make', '-C', 'voltage_app', 'all', '-j8',
                                            'EXTRA_INC=/worker/include', 'EXTRA_LIB_DIR=/worker/lib']))
#factory.addStep(steps.ShellCommand(command=['make', '-C', 'voltage_app', 'build_unit_test', '-j8']))
#factory.addStep(steps.ShellCommand(command=['make', '-C', 'voltage_app', 'exec_unit_test']))
#factory.addStep(steps.ShellCommand(command='make -C voltage_app clean && make -C voltage_app coverage'))

builder = util.BuilderConfig(name='voltage_app', workernames=["buildbot-cpp-worker"],
                             factory=factory)

def append(builders):
    builders.append(builder)
    return builders

